curl --request GET \
--url https://api.coingecko.com/api/v3/exchanges/{id}/tickers \
--header 'x-cg-demo-api-key: <api-key>'{
"name": "Binance",
"tickers": [
{
"base": "BTC",
"target": "USDT",
"market": {
"name": "Binance",
"identifier": "binance",
"has_trading_incentive": false,
"logo": "https://coin-images.coingecko.com/markets/images/52/small/binance.jpg?1706864274"
},
"last": 77172.88,
"volume": 9243.62632,
"cost_to_move_up_usd": 21983152.092277337,
"cost_to_move_down_usd": 19695552.01703934,
"converted_last": {
"btc": 0.99912594,
"eth": 36.349604,
"usd": 77080
},
"converted_volume": {
"btc": 9236,
"eth": 336002,
"usd": 712501236
},
"trust_score": null,
"bid_ask_spread_percentage": 0.010013,
"timestamp": "2026-05-26T10:32:37+00:00",
"last_traded_at": "2026-05-26T10:32:37+00:00",
"last_fetch_at": "2026-05-26T10:33:31+00:00",
"is_anomaly": false,
"is_stale": false,
"trade_url": "https://www.binance.com/en/trade/BTC_USDT?ref=37754157",
"token_info_url": null,
"coin_id": "bitcoin",
"target_coin_id": "tether",
"coin_mcap_usd": 1545160286928.7285
},
{
"base": "BTC",
"target": "USDC",
"market": {
"name": "Binance",
"identifier": "binance",
"has_trading_incentive": false,
"logo": "https://coin-images.coingecko.com/markets/images/52/small/binance.jpg?1706864274"
},
"last": 77189.96,
"volume": 2736.40541,
"cost_to_move_up_usd": 5747075.588603265,
"cost_to_move_down_usd": 4869585.811774237,
"converted_last": {
"btc": 1.000158,
"eth": 36.386207,
"usd": 77159
},
"converted_volume": {
"btc": 2737,
"eth": 99567,
"usd": 211138535
},
"trust_score": null,
"bid_ask_spread_percentage": 0.010013,
"timestamp": "2026-05-26T10:32:01+00:00",
"last_traded_at": "2026-05-26T10:32:01+00:00",
"last_fetch_at": "2026-05-26T10:33:30+00:00",
"is_anomaly": false,
"is_stale": false,
"trade_url": "https://www.binance.com/en/trade/BTC_USDC?ref=37754157",
"token_info_url": null,
"coin_id": "bitcoin",
"target_coin_id": "usd-coin",
"coin_mcap_usd": 1545160286928.7285
}
]
}Exchange Tickers by ID
To query exchange’s tickers based on exchange’s ID
curl --request GET \
--url https://api.coingecko.com/api/v3/exchanges/{id}/tickers \
--header 'x-cg-demo-api-key: <api-key>'{
"name": "Binance",
"tickers": [
{
"base": "BTC",
"target": "USDT",
"market": {
"name": "Binance",
"identifier": "binance",
"has_trading_incentive": false,
"logo": "https://coin-images.coingecko.com/markets/images/52/small/binance.jpg?1706864274"
},
"last": 77172.88,
"volume": 9243.62632,
"cost_to_move_up_usd": 21983152.092277337,
"cost_to_move_down_usd": 19695552.01703934,
"converted_last": {
"btc": 0.99912594,
"eth": 36.349604,
"usd": 77080
},
"converted_volume": {
"btc": 9236,
"eth": 336002,
"usd": 712501236
},
"trust_score": null,
"bid_ask_spread_percentage": 0.010013,
"timestamp": "2026-05-26T10:32:37+00:00",
"last_traded_at": "2026-05-26T10:32:37+00:00",
"last_fetch_at": "2026-05-26T10:33:31+00:00",
"is_anomaly": false,
"is_stale": false,
"trade_url": "https://www.binance.com/en/trade/BTC_USDT?ref=37754157",
"token_info_url": null,
"coin_id": "bitcoin",
"target_coin_id": "tether",
"coin_mcap_usd": 1545160286928.7285
},
{
"base": "BTC",
"target": "USDC",
"market": {
"name": "Binance",
"identifier": "binance",
"has_trading_incentive": false,
"logo": "https://coin-images.coingecko.com/markets/images/52/small/binance.jpg?1706864274"
},
"last": 77189.96,
"volume": 2736.40541,
"cost_to_move_up_usd": 5747075.588603265,
"cost_to_move_down_usd": 4869585.811774237,
"converted_last": {
"btc": 1.000158,
"eth": 36.386207,
"usd": 77159
},
"converted_volume": {
"btc": 2737,
"eth": 99567,
"usd": 211138535
},
"trust_score": null,
"bid_ask_spread_percentage": 0.010013,
"timestamp": "2026-05-26T10:32:01+00:00",
"last_traded_at": "2026-05-26T10:32:01+00:00",
"last_fetch_at": "2026-05-26T10:33:30+00:00",
"is_anomaly": false,
"is_stale": false,
"trade_url": "https://www.binance.com/en/trade/BTC_USDC?ref=37754157",
"token_info_url": null,
"coin_id": "bitcoin",
"target_coin_id": "usd-coin",
"coin_mcap_usd": 1545160286928.7285
}
]
}Notes
- Tickers are paginated to 100 items per page.
- Use
order=base_targetfor stable pagination — sorts bybasethentargetsymbol in lexicographical order, preventing duplicate or missing tickers across pages. - When
dex_pair_format=symbol, DEX pairbaseandtargetdisplay as symbols (e.g.WETH,USDC) instead of contract addresses.
SDK Examples
const response = await client.exchanges.tickers.get('binance');
console.log(JSON.stringify(response, null, 2));
response = client.exchanges.tickers.get("binance")
print(response.model_dump_json(indent=2))
Authorizations
Learn how to set up your API key
Path Parameters
Exchange ID.
*refers to /exchanges/list.
Query Parameters
Filter tickers by coin IDs, comma-separated if querying more than 1 coin.
*refers to /coins/list.
Include exchange logo. Default: false
Page through results.
Include 2% orderbook depth (cost_to_move_up_usd and cost_to_move_down_usd). Default: false
Sort the order of responses.
Default: trust_score_desc
market_cap_asc, market_cap_desc, trust_score_desc, trust_score_asc, volume_desc, volume_asc, base_target Set to symbol to display DEX pair base and target as symbols.
Default: contract_address
contract_address, symbol Response
Exchange tickers
Coin name
List of tickers
Hide child attributes
Hide child attributes
Ticker base currency
Ticker target currency
Last price
Trading volume
Trust score
Bid-ask spread percentage
Ticker timestamp
Last traded timestamp
Last fetch timestamp
Whether ticker is anomalous
Whether ticker is stale
Trade URL
Token info URL
Base currency coin ID
Target currency coin ID
Coin market cap in USD
Cost to move price up by 2% in USD
Cost to move price down by 2% in USD
Was this page helpful?

